PLaSK library

Loading...
Searching...
No Matches
Public Types | List of all members
plask::MultiValueProperty< ValueT, _ExtraParams > Struct Template Reference

Helper class which makes it easier to define property tags class for multiple value (double type by default) properties. More...

`#include <plask/provider/providerfor.hpp>`

Inheritance diagram for plask::MultiValueProperty< ValueT, _ExtraParams >:
[legend]
Collaboration diagram for plask::MultiValueProperty< ValueT, _ExtraParams >:
[legend]

## Public Types
typedef size_t | EnumType
| Default value enumeration type.
Public Types inherited from plask::Property< _propertyType, _ValueType2D, _ValueType3D, _ExtraParams >
typedef _ValueType2D | ValueType2D
| Type of provided value in 2D space.
typedef _ValueType3D | ValueType3D
| Type of provided value in 3D space.
typedef VariadicTemplateTypesHolder< _ExtraParams... > | ExtraParams
| Extra parameters passed as arguments to provider to get value.

## Additional Inherited Members
Static Public Member Functions inherited from plask::Property< _propertyType, _ValueType2D, _ValueType3D, _ExtraParams >
static ValueType2D | getDefaultValue2D ()
| Return default value of the property (usually zero) in 2D space.
static ValueType3D | getDefaultValue3D ()
| Return default value of the property (usually zero) in 3D space.
Static Public Attributes inherited from plask::Property< _propertyType, _ValueType2D, _ValueType3D, _ExtraParams >
static const PropertyType | propertyType = _propertyType
| Type of property.
static constexpr const char * | NAME = PropertyTypeToProviderName<_propertyType>::value
| Name of the property.
static constexpr bool | hasUniqueValueType = false
| `true` only if property use same value type in 2D and 3D space

## Detailed Description

template<typename ValueT = double, typename... _ExtraParams>
struct plask::MultiValueProperty< ValueT, _ExtraParams >

Helper class which makes it easier to define property tags class for multiple value (double type by default) properties.

Properties tag class can be subclass of this, but never should be typedefs to this (tag class for each property must by separate class - always use different types for different properties).

Definition at line 274 of file providerfor.hpp.

## Member Typedef Documentation

## ◆ EnumType

template<typename ValueT = double, typename... _ExtraParams>

typedef size_t plask::MultiValueProperty< ValueT, _ExtraParams >::EnumType

Default value enumeration type.

Definition at line 276 of file providerfor.hpp.

The documentation for this struct was generated from the following file:

- plask/provider/providerfor.hpp